body 
{
	background-image: url("../img/paper2.jpg");
	padding: 0;
	margin: 0;
	font-family: Arial, Helvetica, sans-serif;

	a
	{
		cursor: pointer;
	}

	span, p, h1, h2, h3, h4, h5, h6
	{
		cursor: default;
	}
}

#main-container {
	position: relative;
	box-sizing: border-box;
	min-height: 100vh;
	padding-bottom: calc(2.5rem + 50px);
	padding-top: 50px;
}

//---------------------------------------------overall classes

footer
{
	cursor: default;
	display: flex;
	flex-direction: row;
	align-items: center;
  	justify-content: center;
  	background-color: #a9a9a9;

  	img
  	{
  		margin-left: 10px;
  	}

  	position: absolute;
  	bottom: 0;
  	width: 100%;
  	height: 2.5rem; 
  	padding-top: 10px;
  	padding-bottom: 10px; 
}

button
{
	height: 38px;
	padding-left: 10px;
	padding-right: 10px;
	margin-right: 10px;
	margin-left: 10px;
	margin-top: 12px;
	cursor: pointer;
}

p
{
	font-size: 20px;
	vertical-align: middle;
}

a
{
	color: #bea042;
	text-decoration: none;
	padding-right: 5px;
    padding-left: 5px;
    margin-top: 20px;
}

.container
{
	padding-bottom: 2.5rem;
}

div#title,
.title
{
	display: flex;
	flex-direction: row;
}

#myurlap-user_content, #myurlap-appkey_content, //access
#myurlap-class_content, #myurlap-student_content, //students
{
	display: flex;
	flex-direction: column;

	div, label 
	{
		display: flex;
		flex-direction: row;
	}
}
#myurlap-appkey_content {
	div.fingerprint_div {
		p.fingerprint {
			word-break: break-all;
		}
	}

	div.qrcode_div {
		flex-direction: column;
		align-items: flex-start;

		div {
			align-self: center;
		}
	}
}

.category,	//books
.row,
.user,
.student,
.appkey,
{
	margin-left: 80px;
	margin-right: 30px;
	padding-bottom: 5px;
	padding-top: 5px;
	margin-bottom: 20px;
	margin-top: 20px;
	color: #696969;
	background-color:  #f5f5f5;
	box-shadow:2px 2px 5px #a9a9a9;
	border: 1px solid #a9a9a9;
	a
	{
		padding-right: 8px;
	}
}

.ellipsis_text
{
	text-overflow: ellipsis; 
	overflow: hidden;
	white-space: nowrap;
}

//--------------------------------------------------------------címek

#rentals_title, //kölcsönzések
#title h2,	//könyvek
.title h2	//osztályok & felhasználók
{
	font-size:50px;
    color:gray;
    font-style: italic;
    text-shadow:1px 2px 2px #a9a9a9;
    margin-top: 10px;
    margin-bottom: 30px;
    margin-left: 80px;
    display: inline-block;
}

.title p //könyvkategória
{
	font-size:30px;
    color:#bea042;
    font-style: italic;
    text-shadow:1px 0.5px 2px #a07a28;
    padding-top: 00px;
    padding-bottom: 10px;
    padding-left: 40px;
    display: flex;
	align-items: center;
	margin-top: 20px;
	margin-bottom: 10px;
	cursor: pointer;
	flex-grow: 1;
}

#title button //kategória, hozzáadás, importálás
{
	margin-left: 80px;
	margin-top: 20px;
}

.category .title button //könyvkategória -> szerkesztés/törlés
{
	height: 38px;
	padding: 10px 10px;
	margin-top: 20px;
	margin-right: 40px;
}

#student_title,	//rentals
#book_title	//books
{
	font-size:40px;
    color:gray;
    font-style: italic;
    margin-top: 10px;
    margin-bottom: 20px;
    margin-left: 80px;
    display: inline-block;
}

//--------------------------------------------------------------nav bar

#header 
{
	list-style-type: none;
	margin-top: 0px;
    margin-left: 30px;
    margin-right: 30px;
    margin-bottom: 30px;
    background-color: #696969;
    padding-top: 6px;
    padding-bottom: 6px;
    font-size:18px;
    padding-left: 20px;
    padding-right: 20px;
    position: sticky;
    align-items: center;
	height: 35px;
	display: flex;
	flex-direction: row;
	overflow: hidden;
}

#header h3
{
	color: #bea042;
	padding-right: 10px;
}

#header div 
{
	display: flex;
	flex-direction: row;
	align-items: center;
	margin-right: 20px;
}

#header div a 
{
	color: #f5f5f5; 
    padding-left: 3%;
    padding-right: 3%;
    padding-top: 15px;
    padding-bottom: 15px;
    margin: 0px;
    text-decoration: none;
    text-align: center;
}

#header div a:hover:not(.active)
{
	background-color: #a9a9a9;
    text-decoration: none;
    padding-top: 14px;
    padding-bottom: 14px;
}

#header div a.active
{
    background-color: #505050;
    color: #f5f5f5; 
    margin: 0;
    text-align: center;
    text-decoration: none;
    padding-left: 3%;
    padding-right: 3%;
    padding-top: 14px;
    padding-bottom: 14px;
}

#header_menu 
{
	flex-grow: 1;
}

#header_profile 
{
	justify-content: flex-end;
}

button:disabled 
{
	cursor: not-allowed;
}

//--------------------------------------------------------------osztályok

div.class
{
	display: grid;
	width: 200px;
	margin-top: 20px;
	margin-bottom: 10px;
	margin-left: 80px;
	font-size: 20px;
	background-color: #696969;
	color: #f5f5f5; 

	button
	{
		margin: 3px;
		margin-top: 0px;
		margin-bottom: 15px;
		height: 38px; 
		background: none !important;
		font-size: 15px;
  		border: none !important;
  		cursor: pointer;
  		color: #f5f5f5; 
	}

	button:hover:not(:disabled)
	{
		color: #bea042;
	}

	button:focus 
	{ 
		outline:0 !important; 
	}

	button:disabled 
	{
    	cursor: not-allowed;
    	opacity: 0.5;
	}

	p 
	{
		flex-grow: 0.88;
		text-align: center;
		background-color: #bea042;
		padding-top:20px;
		padding-bottom: 20px;
		margin-bottom: 20px;
		margin-top: 0px;
	}
}

/*----------  myurlap  ----------*/

.myurlap_title {
    color:gray;
    font-style: italic;
	margin-left: 20px !important;
	font-size: 30px !important;
}

.myurlap_content
{
	.data_text
	{
		color: #bea042;
	}
	p, span:not(.myurlap_x)
	{
		color:gray;
	    font-style: italic;
		font-weight: bold;
		font-size: 20px;
		margin-right: 10px;
		margin-top: 5px;
		margin-bottom: 10px;
	}
}


input
{
	padding-bottom: 2px;
}

input[type=text]
{
	margin-left: 10px;
	height: 20px;
}

input[type=password]
{
	height: 20px;
}

input[type=button]
{
	font-size: 10px;
}

input:focus 
{
 	outline-color :#bea042 !important;
}

#book_rentals .row
{
    display: grid;
    grid-template-columns: 15% auto 15%;
    button
    {
    	margin-right: 30px;
    }  
}

// eltévedt css kódok

#mymessage_text
{
	padding-left: 10px;
}



select
{
	margin-left: 5px;
	font-size: 15px;
	padding: 2px;
	margin-bottom: 10px;
	outline-color :#bea042 !important;
	color: #505050;
}

#mymessage_title
{
	color: #bea042;
}

#file-upload-button
{
	padding-bottom: 10px;
}

.user
{
    display: grid;
    grid-template-columns: auto 20%;
}

.user .buttons
{
    display: grid;
    grid-template-columns: auto auto;
    padding-top: 10px;
}

.name p,
.user p
{
	vertical-align: middle;
	padding-left: 30px;
	font-size: 25px !important;
}

#mymessage_content {
	background-color: #ffffff;
	border-radius: 10px;
}

#mymessage.show {
	-webkit-animation: mymessage_show 0.2s;
	animation: mymessage_show 0.2s;

	#mymessage_content {
		-webkit-animation: mymessage_content_show 0.2s;
		animation: mymessage_content_show 0.2s;
	}
}

#mymessage.closing {
	-webkit-animation: mymessage_closing 0.2s;
	animation: mymessage_closing 0.2s;

	#mymessage_content {
		-webkit-animation: mymessage_content_closing 0.2s;
		animation: mymessage_content_closing 0.2s;
	}
}
